%global pkg_name ShellCheck

Name:             %{pkg_name}
Version:          0.2.0
Release:          2%{?dist}
Summary:          Tool for checking common errors in shell scripts

License:          AGPLv3+
URL:              http://www.shellcheck.net
# not available yet at this url
#Source0:          http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
Source0:          https://github.com/koalaman/shellcheck/archive/v%{version}.tar.gz

Patch0:           https://github.com/koalaman/shellcheck/commit/d4bc0f6.diff

BuildRequires:    ghc-Cabal-devel
BuildRequires:    ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:    ghc-containers-devel
BuildRequires:    ghc-directory-devel
BuildRequires:    ghc-json-devel
BuildRequires:    ghc-mtl-devel
BuildRequires:    ghc-parsec-devel
BuildRequires:    ghc-regex-compat-devel
# End cabal-rpm deps


%description
The goals of ShellCheck are:

  - To point out and clarify typical beginner's syntax issues,
    that causes a shell to give cryptic error messages.

  - To point out and clarify typical intermediate level semantic problems,
    that causes a shell to behave strangely and counter-intuitively.

  - To point out subtle caveats, corner cases and pitfalls, that may cause an
    advanced user's otherwise working script to fail under future circumstances.


%package -n ghc-%{name}
Summary:          Haskell %{name} library


%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:          Haskell %{name} library development files
Provides:         ghc-%{name}-static = %{version}-%{release}
Requires:         ghc-compiler = %{ghc_version}
Requires(post):   ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:         ghc-%{name}%{?_isa} = %{version}-%{release}


%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q -n shellcheck-%{version}
%patch0 -p1

cat >Setup.hs <<EOF
import Distribution.Simple

main = defaultMain
EOF


%build
%ghc_lib_build


%install
%ghc_lib_install
rm %{buildroot}%{_bindir}/jsoncheck


%check
make .tests


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%doc LICENSE
%doc README
%{_bindir}/shellcheck


%files -n ghc-%{name} -f ghc-%{name}.files
%doc LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc README


%changelog
* Sat Nov 30 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.2.0-2
- added a patch for "for arg do" loops (d4bc0f6)

* Sat Nov 23 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.2.0-1
- spec file generated by cabal-rpm-0.8.6
- added the description from the README
- fixed broken bits from the generated spec
